Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Class AnnotationPersistenceMetaDataParser.FetchGroupImpl

    java.lang.Object
      org.apache.openjpa.persistence.AnnotationPersistenceMetaDataParser.FetchGroupImpl

Enclosing class:
  AnnotationPersistenceMetaDataParser

    static class AnnotationPersistenceMetaDataParser.FetchGroupImpl

extends Object

An internal class used to mimic the FetchGroup annotation. This is needed to process the fetch-group element in xml metadata with common code for the annotation.

Constructor Summary
`AnnotationPersistenceMetaDataParser.FetchGroupImpl(String name, boolean postLoad)`

Method Summary
`AnnotationPersistenceMetaDataParser.FetchAttributeImpl[]` | `attributes()`
`String[]` | `fetchGroups()`
`String` | `name()`
`boolean` | `postLoad()`
`void` | `setAttributes(AnnotationPersistenceMetaDataParser.FetchAttributeImpl[] attributes)`
`void` | `setFetchGroups(String[] fetchGroups)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationPersistenceMetaDataParser.FetchGroupImpl

    AnnotationPersistenceMetaDataParser.FetchGroupImpl(String name,
                                                       boolean postLoad)

Method Detail

### name

    public String name()

### postLoad

    public boolean postLoad()

### attributes

    public AnnotationPersistenceMetaDataParser.FetchAttributeImpl[] attributes()

### fetchGroups

    public String[] fetchGroups()

### setAttributes

    public void setAttributes(AnnotationPersistenceMetaDataParser.FetchAttributeImpl[] attributes)

### setFetchGroups

    public void setFetchGroups(String[] fetchGroups)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.